#
# spec file for package lrslib
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define dullver	062
%define lname   liblrsgmp-%dullver
Name:           lrslib
Version:        6.2
Release:        bp153.1.17
Summary:        Reverse Search Vertex Enumeration program
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://cgm.cs.mcgill.ca/~avis/C/lrs.html
Source:         http://cgm.cs.mcgill.ca/~avis/C/lrslib/archive/%name-%dullver.tar.gz
Patch1:         lrs-am.diff
Patch2:         lrs-compile.diff
BuildRequires:  libboost_system-devel
BuildRequires:  libboost_thread-devel
BuildRequires:  gcc-c++
BuildRequires:  gmp-devel
BuildRequires:  libtool >= 2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
lrslib is a library for the reverse search algorithm for vertex
enumeration/convex hull problems and comes with a choice of three
arithmetic packages. Input file formats are compatible with Komei
Fukuda's cdd package. All computations are done exactly in either
multiple precision or fixed integer arithmetic. Output is not stored
in memory, so even problems with very large output sizes can
sometimes be solved.

%package -n %lname
Summary:        Reverse Search Vertex Enumeration library
Group:          System/Libraries

%description -n %lname
lrslib is a library for the reverse search algorithm for vertex
enumeration/convex hull problems and comes with a choice of three
arithmetic packages. Input file formats are compatible with Komei
Fukuda's cdd package. Computations are done in multiprecision
arithmetic.

%package devel
Summary:        Development files for Reverse Search Vertex Enumeration
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
lrslib is a library for the reverse search algorithm for vertex
enumeration/convex hull problems and comes with a choice of three
arithmetic packages. Input file formats are compatible with Komei
Fukuda's cdd package.

This subpackage contains libraries and header files for developing
applications that want to make use of lrslib.

%prep
%setup -qn %name-%dullver
%patch -P 1 -P 2 -p1

%build
rm -f makefile
mkdir -p m4
autoreconf -fi
export CXXFLAGS="%optflags -std=gnu++98"
%configure --disable-static
make %{?_smp_mflags}

%install
b="%buildroot"
chmod a-x COPYING README
make install DESTDIR="$b"
rm -f "$b/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_bindir/*
%doc COPYING README

%files -n %lname
%defattr(-,root,root)
%_libdir/liblrsgmp-%dullver.so

%files devel
%defattr(-,root,root)
%_includedir/*.h
%_libdir/liblrsgmp.so

%changelog
* Tue Feb 21 2017 jengelh@inai.de
- Update to new upstream release 062
  * New command-line options -countonly, -stopafter <n>, -maxbuf <n>.
  * Volume output.
  * Counting statistics on number of jobs, size of L, number of
    times empty changed to longs.
  * Performance improvements for problems with large outputs.
* Sun Mar 27 2016 jengelh@inai.de
- Initial package (version 061) for build.opensuse.org
